NEWS
====

Major changes for each release are described here. Detailed changes between
two versions can be retrieved from Git.

0.37
==== (2011-??-??)

* Translation updates (Indonesian, Spanish, ...).

0.36
==== (2011-09-15)

* Fixed re-enabling task bar icon (bug #1369).
* Improve searching for installed images (bug #1393).
* Translations update (Spanish, Portuguese (Brazil),...).
* Compatibility with 3.0 Linux kernel.

0.35
==== (2010-12-01)

* New Turkish translation.
* Updated Dutch translation.
* Handle security error when getting phone info (bug #1264).
* Read all messages on phones not supporting status but support GetNext (bug #1261).

0.34
==== (2010-09-07)

* Fixed handling error when SMSC is not configured in phone (bug #1244).
* Drop dependency of RPM on python-xml, it's not needed anymore (bug #1248).
* Better error messages on non existing devices or on wrong privileges.
* Support for storing call entry as new contact (bug #1283).
* More user friendly errors from talkback dialog.
* Lot of translations were updated.

0.33
==== (2010-04-28)

* Fixed displaying of an animation in SMS (bug #1091).
* Can Add and Delete multiple selections when Edit Recipient's numbers.
* Better log messages when scanning for phones (bug #1182).

0.32.1
==== (2010-01-21)

* Fix manually updating Gammu settings (bdo #565165).
* Disable phone search while connected to phone (bug #460).
* Properly handle errors when submitting to phonedb (bug #1102).
* Make talkback dialog modal (bug #487).
* Wammu asks for PIN code on connection if required (bug #305).
* Command wammu -i now also shows security status.
* Do not try bluetooth connections on cable (bdo #565122).

0.32
==== (2010-01-12)

* Fix crash when searching for phone (bug #1073).
* Avoid extra space at the end of SMS (bug #869).
* Respect message folder when importing backup (bug #1079).
* Fixed handling of boolean config values (bug #1090).
* Translation improvements (especially Dutch).

0.31.1
==== (2009-12-15)

* Include forgotten Czech man pages.
* Fixed compatibility with Python 2.4.

0.31
==== (2009-12-08)

* Better formatting of message (bug #869).
* Allow to export only new messages to IMAP (thanks to Tilmann Bitterberg).
* Do not emit warnings in Python 2.6 (bug #966).
* Properly escape XML in XML export (bug #914).
* Improve some English texts (bug #859).
* Better configuration of IMAP export (thanks to Tilmann Bitterberg).
* Sleep before reading newly created fields (bug #895).
* Do not use transparent icons (bug #833).

0.30.1
==== (2009-03-07)

* Fixed Windows build.
* Fixed typo in desktop file.
* Fixed spec file.

0.30
==== (2009-03-06)

* Do not fail if group ID can not be converted to name.
* Updated to work with current python-gammu.
* Translation updates.
* Support for displaying picture on contacts.
* Properly handle paths with special chars (bug #816).
* Make build time dependency checks optional.
* Drop wxPython 2.4 compatibility code.

0.29
==== (2008-10-04)

* Fixed handling of call entries with multiple dates.
* Handle phones where writing entry to SIM card takes long (bug #682).
* Properly skip corrupted entries (bug #467).
* Added export of messages to XML (thanks to Florent Kaisser).
* Properly report failures when importing backup (bug #303).
* Add --info command line option to show connection info (bug #426).
* Add --debug switch to enable debug output to stderr (bug #426).
* Sign Windows binaries.

0.28
==== (2008-07-22)

* Fixed freeze while searching for Bluetooth devices.
* Fixed guided configuration of Bluetooth devices (no more complains
  about not existing device).
* Fixed saving of backups to folder with non ASCII names.
* Validation is less strict and allows hopefully all number.
* Add some keyboard shortcuts (eg. Ctrl+Q for exit).

0.27
==== (2008-05-11)

* Do not fail if phone does not support call notifications.
* Improved handling of empty config file.
* Lot of translation updates.
* Fix compatibility with some IMAP servers.

0.26
==== (2008-03-04)

* Various attempts to make Windows version back to usable state, but it
  is not ready yet as there are quite random crashes in python-gammu on
  Windows. Anybody with knowledge of python modules on Windows who is
  willing to help is welcome.
* Dropped GNOME Bluetooth (btctl) support, it crashes too often.
* Fix icons size to be all 16x16.
* Fixed crash when D-Bus can not launch notification service.

0.25
==== (2007-12-19)

* Fall back to Add methods if Set is not supported.
* Fixed phone number validation.
* Fixed crash when org.freedesktop.Notifications service is not
  provided.
* Correctly report why guided wizard can not connect to phone.
* New navigation icons, thanks to David Corrales.

0.24
==== (2007-11-13)

* Notifies user about incoming calls using D-Bus.
* Remember default type of created entry (eg. phone/SIM memory).
* Newly created entries contain some reasonable fields by default.
* Fixed validation of editor fields.
* Improvements in guided wizard to make it easier to use.
* Clever searching over Bluetooth based on manufacturer.
* Searching can be really limited to some connection types.

0.23
==== (2007-10-05)

* Fixed phone number prefix settings.
* Customizable format for displaying name.
* Fixed crash when reporting information to phone database.

0.22
==== (2007-09-11)

* Fixed errors in locales and applied stricter checking.
* Fixed various crashes.

0.21
==== (2007-06-20)

* Tell user if he needs to be member of some group while searching.
* Avoid blocking opening of a browser.

0.20
==== (2007-05-16)

* Improve locales behavior (and require wxPython with Unicode).
* Show time in call listings.
* Fixed infinite loop in searching.
* Fixed displaying of messages with special chars.
* Fixed locale detection on system without configured locales.
* Use different approach for detecting home directory on Windows.
* Now requires PyWin32 on Windows.

0.19
==== (2007-03-11)

* Improved SMS recipient list handling.
* Can save and load SMS recipient list.
* Fix crash on Windows when username contains non-ascii chars.
* Fix Windows binary crashes.
* Support for sending file to phone.
* Support for task bar icon (thanks to Rene Peters).
* Fixed debug log on Windows.
* Fixed error handler on Windows.

0.18
==== (2007-02-24)

* Better setup.py to use more of distutils.
* .mo locales are generated on build and not included in VCS.
* Show only existing devices on Windows (this requires pywin32).
* Now requires wxPython at least 2.6.2.
* Support for reporting in Gammu Phone Database.
* Automatically asks user for feedback after month of usage.
* GUI more follows HIG on target platform (button placement).
* Add wildcard search possibility.
* Use gammu configuration for phone connection instead of own.

0.17
==== (2006-10-19)

* Fix searching.
* Remember column sorting.

0.16
==== (2006-09-21)

* Include platform in crash log.
* Fix SMS composer on Windows.
* Fix adding part to SMS after removing all.
* Fix editor on Windows.
* Now requires wxWidgets 2.6.

0.15
==== (2006-09-03)

* Language selection for Windows (based on GTK+ 2 ISS code).
* Finnish translation from Rosetta.
* Searching can be done plain text and not only regexp.
* Phone number matching now works even for national numbers.
* Fixed usability with inversed themes.

0.14
==== (2006-08-05)

* Automatically append backup extension.
* PyBluez is now default for Bluetooth devices lookup.
* Fixed mail export for non English locales.
* Fixed installation on Windows.
* Added support for py2exe for distributing Windows executable.
* Added script for creating Wammu installer on Windows (using Inno Setup).

0.13
==== (2006-03-24)

* Possibility to export SMS to maildir, mailbox and IMAP account.
* More user friendly debug logging.
* Many new translations, thanks to Rosetta.
* Improved Bluetooth lookup - now uses either PyBluez or btctl (part of GNOME
  Bluetooth).

0.12
==== (2006-01-08)

* More user friendly reporting of some common errors.
* Many bug fixes.

0.11
==== (2005-12-24)

New features:

* SMS backups and import support.

0.10
==== (2005-08-07)

Bug fixes:

* Fixed wrong implementation of not synced items for SMS.
* Some minor display errors were fixed.
* Application icon is now used correctly.

0.9
=== (2005-07-24)

New features:

* Searching in entries.
* Reading backups without phone connected, can work as backup viewer.
* New bug reporting dialog, added bugid to allow easily search for
  similar bugs.
* Support for searching Bluetooth devices using gnomebt python module.
* Better searching for Nokia phones.

Bug fixes:

* Fixed some issues with debug wxPython, probably still all not solved.

0.8
=== (2004-09-17)

New features:

* New settings dialog.
* Better date editing control.

Bug fixes:

* Should work with both wxPython 2.5 and 2.4.

Known issues:

* Calendar editor does not work in wxPython 2.5/Gtk 2, you need to enter
  values manually (this is wxWidgets issue and has been fixed there).

0.7
=== (2004-09-06)

New features:

* Signal and battery state continuous monitoring.
* Support for sending messages to multiple recipients.

Bug fixes:

* Should work with wxPython 2.5.

0.6
=== (2004-03-03)

New features:

* Can expand "compressed" SMSes - TextCOMPRESSIONlikeTHIS.
* Allow direct calls/send message for contacts.

Bug fixes:

* Lots of charset issues fixed.

0.5.1
===== (2004-01-23)

* Fixed typo in Wammu/Utils.py.

0.5
=== (2004-01-21)

New features:

* Searching for phone.
* Backup and import functionality.
* Deleting of multiple entries at once.
* Reply on message.
* Playback of ring tones using timidity.
* More decoded SMS parts are now recognized (especially Nokia ones were not
  recognized before).
* Unexpected exceptions are handled and reported as bugs.
* Czech localization.

Bug fixes:

* HTML displayer now should display non ascii texts correctly.
* Reads really all SMS.
* Better handling of exceptions when reading data.
* Broken wxListCtrl.GetColumn on wxPython 2.4.1.2 is workarounded.
* Workaround charset conversion problems in wxPython.
* Fixed creating multiple roots in tree control.

0.4
=== (2004-01-06)

* Improves compatibility with more phone modules, by not requiring all
  functions to be implemented/supported. For now reading of all stuff should
  work with all phones Gammu supports.
* Now doesn't require wxPython 2.4.2.4, but 2.4.1.2, which should be in all
  recent distributions.
* Will work even if you didn't have Gammu configured before.

0.3
=== (2004-01-04)

* First widely announced release.
* Calendar support.
* Full editing support.
* Full support for SMS es.
* Supports internal links.

0.2
=== (2003-12-27)

* Memory delete/edit/new support.
* Initial todo support.
* Internationalization.

0.1
=== (2003-12-03)

* Initial version with information and memory support.

# vim: et ts=4 sw=4 sts=4 tw=72 spell spelllang=en_us
